Frees the resources associated with the collection object

- « OCICollection::assignElem

- OCICollection::getElem »

- PHP Manual
- OCICollection
- Frees the resources associated with the collection object

# OCICollection::free

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCICollection::free — Frees the resources associated with the collection object

### Description

public OCICollection::free(): bool

Frees the resources associated with the collection object.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | The OCI-Collection class was renamed to OCICollection to align with PHP naming standards.

### See Also

- oci_new_collection